Skip to main content
PATCH
/
aggregates
/
{aggregate_id}
Update aggregate
curl --request PATCH \
  --url https://api.zenskar.com/aggregates/{aggregate_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "dataschema": "<string>",
  "aggregation_query": "<string>",
  "cust_agg_query": "<string>",
  "visual_query_builder": {},
  "datasource": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null

Path Parameters

aggregate_id
string<uuid>
required

Body

application/json

Create Aggregate Request Schema

name
string | null

name of the aggregate

dataschema
string | null

data schema of aggregate

aggregation_query
string | null

aggregate query

cust_agg_query
string | null

customer aggregate query

visual_query_builder
Visual Query Builder · object

visual query builder

datasource
string | null

data source uuid

Response

Successful Response